<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = valget('td');
$tdo = valget('tdo');
$ce = str_majuscules(valget('ce'));
$cp = str_majuscules(valget('cp'));

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout du produit dans la fiche d'envoi
    case 'add' :
        $rech = 'INSERT INTO `' . TBRETEP . '`'
            . ' (retep_codeenv,retep_coderetp)'
            . ' VALUES'
            . " ('$ce','$cp')";
        $db->query($rech);

        // On met à jour la fiche produit correspondante
        $rech = 'UPDATE `' . TBRETP . "` SET `retp_codeenv`='" . $db->escape($ce) . "'";
        $rech .= " WHERE `retp_code` = '" . $db->escape($cp) . "'";
        $db->query($rech);
        break;

    // Suppression du produit dans la fiche d'envoi
    case 'del' :
        $rech = 'DELETE FROM `' . TBRETEP . "` WHERE `retep_codeenv` = '" . $db->escape($ce) . "' AND `retep_coderetp` = '" . $db->escape($cp) . "'";
        $db->query($rech);

        // On met à jour la fiche produit correspondante
        $rech = 'UPDATE `' . TBRETP . "` SET `retp_codeenv`=NULL, `retp_dateenv`='0000-00-00' ";
        $rech .= " WHERE `retp_code` = '" . $db->escape($cp) . "'";
        $db->query($rech);

        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste Produits à Retourner'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        <?php
            cre_html_pdte('detpdte', $tdo, $ce, 'window.opener.');
        ?>
        function init_all() {
            init_Body();
            <?php
            if (nb_art_in_envoi($ce,TRUE)>0)
            {
                echo "window.opener.$('#clos').attr('disabled',false);";
                echo "window.opener.$('#enrimp').show();";
                echo "window.opener.$('#nbcol').attr('disabled',false);";
                echo "window.opener.$('#imp').show();";
            }
            else
            {
                echo "window.opener.$('#clos').attr('disabled',true);";
                echo "window.opener.$('#enrimp').hide();";
                echo "window.opener.$('#nbcol').attr('disabled',true);";
                echo "window.opener.$('#imp').hide();";
            }
            ?>
            updatenv();
            self.close();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
</body>
</html>
